@keyframes an-pupils {
    from {
        left: 60px;
    }
    to {
        left: 0px;
    }
}

@keyframes an-ears {
    from {
       top:0;
    }
    to {
       top:25px;
    }
}



body {
  background-color:#0A7E8C;
  font-family: Arial, Helvetica, sans-serif;

  /*width:auto;*/
}
* {
  box-sizing: border-box;
}


.tree{
  --spacing : 1.5rem;
  --radius  : 10px;
  font-family: 'Courier New', monospace;
  color: #38b32e;
  text-shadow:none;
  letter-spacing: 1px;
  background: transparent;
  text-transform: none;
  border: none;
}


#cat {
	width: 480px;
	margin:20px auto;
    left: 10%;
  
}


#head {
	width: 400px;
	height: 370px;
	background-color: #171717;
	border-radius: 50%;
	margin: auto;
}

#ears {
 height: 65px;
 position: relative;
 left: 35px;
 animation-name: an-ears;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-direction: alternate-reverse;
}

.ear{
	width: 0; 
	height: 0; 
	border-left: 90px solid transparent;  
	border-right: 90px solid transparent; 
	border-bottom: 160px solid #171717; 
	font-size: 0;
	line-height: 0;
	float: left;
	margin-right: 60px;
	-ms-transform: rotate(35deg); 
    -webkit-transform: rotate(35deg); 
    transform: rotate(35deg);
      
}


.ear:first-child {
	-ms-transform: rotate(-35deg); 
    -webkit-transform: rotate(-35deg); 
    transform: rotate(-35deg);
}

#eyes {
	clear: both;
	width: 350px;
	position: relative;
	top: 25px;
	left: 53px;
}

.eye {
	width: 120px;
	height: 120px;
	background-color: #FFFFFF;
	border-radius: 50%;
	float: left;
	
}

.eye:first-child {
	margin-right: 50px;
}

.pupil {
	position: relative;
	top:40px;
	background-color: #000000;
	border-radius: 50%;
	width: 80px;
	height: 80px;
	animation-name: an-pupils;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-direction: alternate-reverse;

}

.pupil_ref {
	background-color: #FFFFFF;
	border-radius: 45%;
	width: 30px;
	height: 30px;
	position: relative;
	top: 40px;
	left: 10px;

}

#nose {
	width: 45px;
	height: 30px;
	border-radius: 50%;
	background-color: #FFFFFF;
	position: relative;
	top: 160px;
	left: 170px;
}

#baffi_sx {
position: relative;
left: -100px;
top: 85px;
-ms-transform: rotate(10deg); 
    -webkit-transform: rotate(10deg); 
    transform: rotate(10deg);
}

#baffi_dx {
position: relative;
left: 223px;
top: 96px;
-ms-transform: rotate(-10deg); 
    -webkit-transform: rotate(-10deg); 
    transform: rotate(-10deg);
}

.baffo{
  position:relative;
  width:260px; 
  height:10px;
  border:solid 3px #000;
  border-color:#000 transparent transparent transparent;
  border-radius: 60%/30px 30px 0 0;

}

.wrapper{
  position: absolute;
  top: 70%;
  left: 13%;
  width: auto;
  transform: translate(-50%, -50%);
}

.link_wrapper{
  position: relative;
}

a{
  display: block;
  width: auto;
  height: 50px;
  line-height: 50px;
  font-weight: bold;
  font-size:30px;
  text-decoration: none;
  background: #171717;
  text-align: center;
  color: #fff;
  text-transform: uppercase;
  letter-spacing: 1px;
  border: 3px solid #171717;
  transition: all .35s;
}

data_heading{
  display: block;
  width: auto;
  height: 50px;
  line-height: 50px;
  font-weight: bold;
  font-size:30px;
  background: #171717;
  text-align: center;
  color: #fff;
  text-transform: uppercase;
  letter-spacing: 1px;
  border: 3px solid #171717;
  transition: all .35s;
}

.icon{
  width: auto;
  height: 50px;
  border: 3px solid transparent;
  position: absolute;
  transform: rotate(45deg);
  right: 0;
  top: 0;
  z-index: -1;
  transition: all .35s;
}

.icon svg{
  width: auto;
  position: absolute;
  top: calc(50% - 15px);
  left: calc(50% - 15px);
  transform: rotate(-45deg);
  fill: #171717;
  transition: all .35s;
}

a:hover{
  width: auto;
  border: 3px solid #5a5556;
  background: #201e1e;
  color: #fff;
}

a:hover + .icon{
  border: 3px solid #171717;
  right: -25%;
}


.myDiv{
  position: relative;
  /*top: 75%;
  left: 1%;*/
  display: block;
  width: auto;
  height: auto;
  line-height: 10px;
  font-weight: bold;
  font-size: 20px;
  text-decoration: none;
  background: #5a5556;
  text-align: center;
  color: #fff;
  text-transform: uppercase;
  letter-spacing: 1px;
  border: 3px solid #201e1e;
  transition: all .35s;
  margin: auto;
  padding: 0px;
}

.button {
  border-radius: 4px;
  background-color: #5a5556;
  border: 3px solid #201e1e;
  color: #FFFFFF;
  text-align: center;
  font-size: 28px;
  padding: 10px;
  width: auto;
  transition: all 0.5s;
  cursor: pointer;
  margin: auto;
}

.buttonSmall {
  border-radius: 4px;
  background-color: #5a5556;
  border: 3px solid #201e1e;
  color: #FFFFFF;
  text-align: center;
  font-size: 28px;
  padding: 10px;
  width: 35%;
  transition: all 0.5s;
  cursor: pointer;
  margin: 0px;
  left: 5%;
}
.button span {
  cursor: pointer;
  display: inline-block;
  position: relative;
  transition: 0.5s;
}

.button span:after {
  content: '\00bb';
  position: absolute;
  opacity: 0;
  top: 0;
  right: -20px;
  transition: 0.5s;
}

.button:hover span {
  padding-right: 25px;
  background-color: #1b4f46;
  border: 3px solid #0a1514;
}

.button:hover span:after {
  opacity: 1;
  right: 0;
}
.bottomWrapper{
  position: relative;
  top: 50%;
  left: 50%;
  width: auto;
  transform: translate(-50%, -50%);
    
}
.bottomlinkWrapper{
    position: relative;
  }

.overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.7);
  transition: opacity 500ms;
  visibility: hidden;
  opacity: 0;
}
.overlay:target {
  visibility: visible;
  opacity: 1;
}

.popup {
  margin: 70px auto;
  padding: 20px;
  background: #fff;
  border-radius: 5px;
  width: 30%;
  position: relative;
  transition: all 5s ease-in-out;
  text-align: center;
}

.popup h2 {
  margin-top: 0;
  color: #333;
  font-family: Tahoma, Arial, sans-serif;
}
.popup .close {
  position: relative;
  /*top: 20px;
  right: 30px;*/
  transition: all 200ms;
  font-size: 30px;
  font-weight: bold;
  text-decoration: none;
  color: #fff;
}
.popup .close:hover {
  color: #06D85F;
}
.popup .open {
  position: relative;
  /*top: 20px;
  right: 30px;*/
  transition: all 200ms;
  font-size: 30px;
  font-weight: bold;
  text-decoration: none;
  color: #fff;
}
.popup .open:hover {
  color: #de2828;
}
.popup .content {
  max-height: 30%;
  overflow: auto;
}

.barcontainer{
  background-color: #fff;
  position: relative;
  transform: translateY(-50%);
  top: 55%;
  margin-left: -40%;
  width: 50%;
  height: 320px;
  float: left;
  border: 2px solid #181818;
  font-size: 20px;
}
.barcontainer2{
  background-color: #fff;
  position: relative;
  transform: translateY(-50%);
  top: 55%;
  margin-left: 60%;
  width: 40%;
  height: 320px;
  float: left;
  border: 2px solid #181818;
  font-size: 20px;
  
}
  
.bar{
  background-color: #181818;
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 80%;
  
  box-sizing: border-box;
  animation: grow 1.5s ease-out forwards;
  transform-origin: bottom;
}
.bar2{
  background-color: #181818;
  position: relative;
  bottom: 0;
  width: 100%;
  height: 80%;
  //border-top: 6px solid #FFF;
  box-sizing: border-box;
  animation: grow 1.5s ease-out forwards;
  transform-origin: bottom;
}
.bar-text2 {
            position: absolute;
            bottom: 0;
            width: 100%;
            text-align: center;
            color: white;  /* Example text color */
}
.table{
  margin: 0 0 40px 0;
  width: 60%;
  border-radius: 10px;
  box-shadow: 0 1px 3px rgba(0,0,0,0.2);
  display: table;
  @media screen and (max-width: 580px);
    display: block;
}
.row{
  display: table-row;
  background: #f6f6f6;
  
  &:nth-of-type(odd);
    background: #e9e9e9;
  
  &.header;
    font-weight: 900;
    color: #ffffff;
    background: #ea6153;
  
  &.green;
    background: #27ae60;
  
  &.blue;
    background: #2980b9;
   
  @media screen and (max-width: 580px);
    padding: 14px 0 7px;
    display: block;
    
    &.header;
      padding: 0;
      height: 6px;
      
      .cell;
        display: none;
    
    .cell;
      margin-bottom: 10px;
      
      &:before;
        margin-bottom: 3px;
        content: attr(data-title);
        min-width: 98px;
        font-size: 10px;
        line-height: 10px;
        font-weight: bold;
        text-transform: uppercase;
        color: #969696;
        display: block;
}
.cell{
  padding: 6px 12px;
  display: table-cell;
  @media screen and (max-width: 580px);
    padding: 2px 16px;
    display: block;
}
.item2 { grid-area: leftbar; }
.item3 { grid-area: cat; }
.item4 { grid-area: rightbar; }
.item5 { grid-area: footer; }

.grid-container {
  display: grid;
  grid-template-areas:
    'leftbar leftbar cat cat rightbar rightbar'
    'footer footer footer footer footer footer';
  gap: 10px;
  background-color: #0A7E8C;
  padding: 10px;
}

.grid-container > div {
  text-align: center;
  padding: 20px 0;
  font-size: 30px;
}

@keyframes grow{
  from{
    transform: scaleY(0);
  }
}

@media screen and (max-width: 700px){
  .box{
    width: 70%;
  }
  .popup{
    width: 70%;
  }
}


/* This css was created by https://codepen.io/violelune/pen/PbrOEY Some things copied from w3schools*/

